function ContentApiClient() {

}

ContentApiClient.prototype = {

  request: function (args, callback, errorCallback) {

    if (typeof callback != 'function')
      callback = function () {}

    if (typeof errorCallback != 'function')
      errorCallback = function () {}

    window.messenger.sendRequest({type: 'api', args: args}, function (response) {
      if (response.status == 'success')
        callback(response.data);
      else
        errorCallback(response.data);
    });

  },

  // Gets an object with a particular id attribute from a list of objects
  objectById: function (list, id) {

    var selected = 0;

    for (i in list) {
      if (list[i].id == id)
        selected = i;
    }

    return list[selected];

  }

}
